Bug 818596 - image factory error while building RHEL6: cannot find any suitable libguestfs supermin or ordinary appliance on LIBGUESTFS_PATH (search path: /usr/lib64/guestfs)
image factory error while building RHEL6: cannot find any suitable libguestfs...
Status: CLOSED WORKSFORME
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity high
: beta1
: ---
Assigned To: Ian McLeod
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:30 EDT by wes hayutin
Modified: 2013-01-07 11:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 11:39:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aeolus-debug (3.09 MB, application/octet-stream)
2012-05-03 09:30 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2012-05-03 09:30:01 EDT
Created attachment 581861 [details]
aeolus-debug

Description of problem:

2012-05-03 08:50:19,226 INFO oz.Guest.RHEL6Guest thread(bce573fb) Message: Cleaning up after install
2012-05-03 08:50:19,235 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder thread(bce573fb) Message: Exception caught in ImageFactory
2012-05-03 08:50:19,235 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder thread(bce573fb) Message: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 49, in build_image
    self.build_upload(build_id)
  File "/usr/lib/python2.6/site-packages/imgfac/builders/Fedora_vsphere_Builder.py", line 115, in build_upload
    self.output_descriptor = self.guest.customize_and_generate_icicle(libvirt_xml)
  File "/usr/lib/python2.6/site-packages/oz/RedHat.py", line 1178, in customize_and_generate_icicle
    return self._internal_customize(libvirt_xml, True)
  File "/usr/lib/python2.6/site-packages/oz/RedHat.py", line 1143, in _internal_customize
    self._collect_setup(modified_xml)
  File "/usr/lib/python2.6/site-packages/oz/RedHat.py", line 427, in _collect_setup
    g_handle = self._guestfs_handle_setup(libvirt_xml)
  File "/usr/lib/python2.6/site-packages/oz/Guest.py", line 886, in _guestfs_handle_setup
    g.launch()
  File "/usr/bin/imagefactory", line 41, in launch
    _GuestFS.launch(self)
  File "/usr/lib/python2.6/site-packages/guestfs.py", line 152, in launch
    return libguestfsmod.launch (self._o)
RuntimeError: cannot find any suitable libguestfs supermin or ordinary appliance on LIBGUESTFS_PATH (search path: /usr/lib64/guestfs)



RECREATE:
1. build template from a katello export


attaching aeolus-debug
Comment 1 wes hayutin 2012-05-03 12:02:02 EDT
unable to recreate w/ the same exact test..
http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/QE-CloudForms-CloudEngine/job/nightly-cloudEngine-smokeTest-RHEL/382/ReporttNG_Report/

moving to 1.0.z, 1.1.0
Comment 2 jrd 2012-05-04 10:57:48 EDT
Unless this proves reproducible, I vote we don't spend time on it for z-stream.
Comment 3 Hugh Brock 2012-05-07 11:25:07 EDT
Clearing 1.0.z flag. Ian, please see if you can reproduce this for 1.1 -- it may be exposing a libvirt or libguestfs bug.
Comment 4 Mitch 2012-06-07 15:41:25 EDT
Can we reproduce this?  If not, let's close it.

Note You need to log in before you can comment on or make changes to this bug.